Bug 963904 - PS2 Logitech Keyboard does not work after kernel 3.9.2 upgrade
PS2 Logitech Keyboard does not work after kernel 3.9.2 upgrade
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 14:38 EDT by blitzter
Modified: 2014-12-22 13:38 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 10:59:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dmesg output (59.95 KB, text/plain)
2013-05-16 14:38 EDT, blitzter
no flags Details
dmesg out put with i8042.nopnp kernel parameter, keyboard still not working (75.29 KB, text/plain)
2013-05-17 15:00 EDT, blitzter
no flags Details
dmesg from older kernel, warning also present in this one but keyboard works (55.21 KB, text/plain)
2013-05-17 15:10 EDT, blitzter
no flags Details

  None (edit)
Description blitzter 2013-05-16 14:38:11 EDT
Created attachment 749000 [details]
Dmesg output

Description of problem:

The 3 num lock, caps lock and scroll lock leds keep blinking.
OS boots up normally and I am able to use Logitech wireless keyboard perfectly

Version-Release number of selected component (if applicable):

3.9.2

How reproducible:

Error messages on boot

Steps to Reproduce:
1. Start the Machine
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dave Jones 2013-05-16 15:21:55 EDT
blinking LEDs are a sign that the kernel has panic'd.
Does this still happen without the nvidia driver ?
Comment 2 blitzter 2013-05-16 23:41:59 EDT
Seems unlikely that its a kernel panic as everything but the ps2 keyboard works fine. The messages in dmesg output also look like they might be related to a older bug which happens for ps2 mouse/keyboard. One message in the start of the log points to an error in bios settings, maybe that is related to this issue
Comment 3 blitzter 2013-05-17 15:00:43 EDT
Created attachment 749441 [details]
dmesg out put with i8042.nopnp kernel parameter, keyboard still not working
Comment 4 blitzter 2013-05-17 15:10:46 EDT
Created attachment 749453 [details]
dmesg from older kernel, warning also present in this one but keyboard works

The i8042 warning and ACPI bug present in older 3.8.11 log as well but keyboard seems to work fine here. Will debug more if I can.
Comment 5 blitzter 2013-05-28 01:21:57 EDT
The following seems to be the only difference regarding keyboard in 3.8.11 and 3.9.*(last tested in 3.9.4)

The 3.9.* dmesg output has the following error repeated

atkbd serio0: Failed to enable keyboard on isa0060/serio0
Comment 6 Justin M. Forbes 2013-10-18 16:58:13 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 7 Justin M. Forbes 2013-11-27 10:59:23 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.
Comment 8 blitzter 2014-12-22 13:38:41 EST
I do not have the necessary hardware to replicate the issue hence closing it.

Note You need to log in before you can comment on or make changes to this bug.